> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Events

> List all events for your organization

# List Events

Returns a paginated list of events belonging to your organization.

## Query Parameters

<ParamField query="page" type="integer" default="1">
  Page number (starts at 1).
</ParamField>

<ParamField query="page_size" type="integer" default="50">
  Number of events per page. Maximum: `200`.
</ParamField>

<ParamField query="status" type="string" default="active">
  Comma-separated list of event statuses to include.

  Allowed values: `active`, `inactive`.

  Example: `?status=active,inactive`
</ParamField>

## Response

<ResponseField name="data" type="array">
  <Expandable title="Event object">
    <ResponseField name="id" type="string">Unique event identifier</ResponseField>
    <ResponseField name="name" type="string | null">Event name</ResponseField>
    <ResponseField name="description" type="string | null">Event description</ResponseField>
    <ResponseField name="slug" type="string | null">URL-friendly slug</ResponseField>
    <ResponseField name="status" type="string | null">`active` or `inactive`</ResponseField>
    <ResponseField name="registration_status" type="string | null">`open` or `closed`</ResponseField>
    <ResponseField name="is_private" type="boolean">Whether the event is private</ResponseField>
    <ResponseField name="currency" type="string | null">ISO 4217 currency code</ResponseField>
    <ResponseField name="capacity" type="number | null">Maximum capacity</ResponseField>
    <ResponseField name="tickets_sold" type="number">Number of tickets sold</ResponseField>

    <ResponseField name="start" type="object | null">
      <Expandable>
        <ResponseField name="utc" type="string | null">ISO 8601 datetime in UTC</ResponseField>
        <ResponseField name="timezone" type="string | null">IANA timezone</ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="end" type="object | null">
      <Expandable>
        <ResponseField name="utc" type="string | null">ISO 8601 datetime in UTC</ResponseField>
        <ResponseField name="timezone" type="string | null">IANA timezone</ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="venue" type="object | null">
      <Expandable>
        <ResponseField name="name" type="string | null">Venue name</ResponseField>
        <ResponseField name="address" type="string | null">Street address</ResponseField>
        <ResponseField name="city" type="string | null">City</ResponseField>
        <ResponseField name="state" type="string | null">State or province</ResponseField>
        <ResponseField name="country" type="string | null">Country</ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="cover_image" type="string | null">URL of the event cover image</ResponseField>
    <ResponseField name="meeting_url" type="string | null">Virtual meeting URL</ResponseField>
    <ResponseField name="created_at" type="string | null">ISO 8601 creation timestamp</ResponseField>
    <ResponseField name="updated_at" type="string | null">ISO 8601 last-updated timestamp</ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="pagination" type="object">
  <Expandable>
    <ResponseField name="total" type="integer">Total number of matching events</ResponseField>
    <ResponseField name="page" type="integer">Current page number</ResponseField>
    <ResponseField name="page_size" type="integer">Items per page</ResponseField>
    <ResponseField name="total_pages" type="integer">Total number of pages</ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -H "X-API-KEY: your_api_key" \
    "https://www.gomry.com/api/v1/events?page=1&page_size=20"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://www.gomry.com/api/v1/events?page=1&page_size=20",
    { headers: { "X-API-KEY": "your_api_key" } }
  );
  const { data, pagination } = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://www.gomry.com/api/v1/events",
      headers={"X-API-KEY": "your_api_key"},
      params={"page": 1, "page_size": 20},
  )
  result = response.json()
  events = result["data"]
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": [
      {
        "id": "AbCdEfGhIjKlMnOpQrSt",
        "name": "Summer Tech Conference 2025",
        "description": "A two-day conference covering the latest in tech.",
        "slug": "summer-tech-conference-2025-AbCdEfGhIjKlMnOpQrSt",
        "status": "active",
        "registration_status": "open",
        "is_private": false,
        "currency": "USD",
        "capacity": 500,
        "tickets_sold": 234,
        "start": {
          "utc": "2025-07-15T14:00:00.000Z",
          "timezone": "America/New_York"
        },
        "end": {
          "utc": "2025-07-16T22:00:00.000Z",
          "timezone": "America/New_York"
        },
        "venue": {
          "name": "Convention Center",
          "address": "123 Main St",
          "city": "New York",
          "state": "NY",
          "country": "US"
        },
        "cover_image": "https://storage.googleapis.com/...",
        "meeting_url": null,
        "created_at": "2025-03-01T10:00:00.000Z",
        "updated_at": "2025-06-20T15:30:00.000Z"
      }
    ],
    "pagination": {
      "total": 12,
      "page": 1,
      "page_size": 20,
      "total_pages": 1
    }
  }
  ```
</ResponseExample>
